View Issue Details

IDProjectCategoryView StatusLast Update
00027753 - Current Dev ListEnhancementpublic2019-09-03 03:26
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version6.7Fixed in Version6.7.0.226 
Summary0002775: Add Icom panadapter application to suite
DescriptionWe have had many requests to add the Icom waterfall to Ham Radio Deluxe.

With the radio alone, a demonstration can be found here: https://www.youtube.com/watch?v=YI7kpk5QS4o

And more here: https://www.youtube.com/watch?v=91XtLZNIyK8

A demo of the N1MM waterfall can be found here: https://www.youtube.com/watch?v=xVGPzRvD7IY

TagsPanadapter display (Icom)
ModuleRig Control
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

related to 0003402 resolvedK7ZCZ Implement support for panadapter display in Kenwood TS-890 

Activities

K7ZCZ

2018-11-24 11:06

administrator   ~0006463

You said you were working on a specification for this feature, so this issue is assigned to you for tracking progress.

WA9PIE

2019-02-13 21:20

administrator  

Functional Requirements Definition - Panadapter Display.docx (559,509 bytes)

WA9PIE

2019-02-15 21:36

administrator   ~0007404

Let's just put the questions and updates in this document here:

Google Drive: "\Team Drives\HRD Software\Functional Specifications"

Please post your questions there.

K7ZCZ

2019-02-16 12:51

administrator   ~0007408

I've placed "Functional Requirements Definition - Panadapter Display v2" in that directory with my comments.

K7ZCZ

2019-05-11 07:27

administrator   ~0007930

First cut at this feature is in:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4973

K7ZCZ

2019-05-14 11:13

administrator   ~0007937

Added vertical resizing, click-to-tune with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4980

K7ZCZ

2019-05-21 06:05

administrator   ~0007941

Speed, centered/fixed controls, lots of cleanup:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4990

K7ZCZ

2019-05-23 12:02

administrator   ~0007942

added RBW, VBW controls:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4991

K7ZCZ

2019-05-29 12:01

administrator   ~0007955

Logbook now announces DXC spots to rig Control to support the panadapter:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5000

K7ZCZ

2019-06-07 10:05

administrator   ~0008020

Adds Cneter and Edge controls, gets Ref slider working correctly:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5010

K7ZCZ

2019-07-30 14:31

administrator   ~0008301

Ref Level control is now configurable in radio caps class:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5099

K7ZCZ

2019-08-02 11:15

administrator   ~0008326

This gets main and sub bandscopes working; now it's possible to have two bandscope windows open.
The UI isn't exactly right, so I have to take another pass and sort out how things should really look.
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5102

K7ZCZ

2019-08-06 16:53

administrator   ~0008329

This is pretty much done. Features to add and bugs to fix, but I'll mark this main issue resolved and we can start fixing bugs or adding features based on user feedback now.

g3ucq

2019-09-02 08:31

updater   ~0008495

The drop down menus are not easy to use.
Zoom on the waterfall does not work.
I see occasional blocks of white on the waterfall.
Can frequencies be displayed under the signals?
My waterfall does not have the intensity of that in the document.

g3ucq

2019-09-02 08:44

updater   ~0008497

I had closed the Panadapter and then tried to run it again.
When I clicked on the menu I got a mindump and Rig Control closed.

HamRadioDeluxe_20190902_134140.mdmp (377,765 bytes)

g3ucq

2019-09-03 03:26

updater   ~0008499

I opened the Main and Sub panadapters. I was unable to configure the Sub panadapter from the drop down menus.
I closed both panadapters but they remained ticked in the Tools menu and would not open again.
Then I got another mini dump and Rig Control closed.

HamRadioDeluxe_20190903_082249.mdmp (661,002 bytes)

Issue History

Date Modified Username Field Change
2018-06-20 08:21 WA9PIE New Issue
2018-06-20 08:22 WA9PIE Product Version 6.6 =>
2018-06-20 08:22 WA9PIE Target Version => 6.6
2018-11-24 11:06 K7ZCZ Assigned To => WA9PIE
2018-11-24 11:06 K7ZCZ Status new => assigned
2018-11-24 11:06 K7ZCZ Note Added: 0006463
2018-11-27 22:02 WA9PIE Tag Attached: Panadapter display (Icom)
2018-12-27 16:13 WA9PIE Summary Add Icom waterfall application to suite => Add Icom panadapter application to suite
2019-02-13 21:20 WA9PIE File Added: Functional Requirements Definition - Panadapter Display.docx
2019-02-13 21:20 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-02-15 10:32 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-02-15 21:36 WA9PIE Note Added: 0007404
2019-02-15 21:37 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-02-16 12:51 K7ZCZ Assigned To K7ZCZ => WA9PIE
2019-02-16 12:51 K7ZCZ Note Added: 0007408
2019-04-02 15:25 WA9PIE Target Version 6.6 => 6.7
2019-05-11 07:27 K7ZCZ Note Added: 0007930
2019-05-14 11:13 K7ZCZ Note Added: 0007937
2019-05-21 06:05 K7ZCZ Note Added: 0007941
2019-05-23 12:02 K7ZCZ Note Added: 0007942
2019-05-29 12:01 K7ZCZ Note Added: 0007955
2019-06-07 10:05 K7ZCZ Note Added: 0008020
2019-06-17 14:35 WA9PIE Assigned To WA9PIE => K7ZCZ
2019-07-24 13:34 K7ZCZ Relationship added related to 0003402
2019-07-30 14:31 K7ZCZ Note Added: 0008301
2019-08-02 11:15 K7ZCZ Note Added: 0008326
2019-08-06 16:53 K7ZCZ Status assigned => resolved
2019-08-06 16:53 K7ZCZ Resolution open => fixed
2019-08-06 16:53 K7ZCZ Note Added: 0008329
2019-08-30 16:00 K7ZCZ Fixed in Version => 6.7.0.226
2019-09-02 08:31 g3ucq Note Added: 0008495
2019-09-02 08:44 g3ucq File Added: HamRadioDeluxe_20190902_134140.mdmp
2019-09-02 08:44 g3ucq Note Added: 0008497
2019-09-03 03:26 g3ucq File Added: HamRadioDeluxe_20190903_082249.mdmp
2019-09-03 03:26 g3ucq Note Added: 0008499